[![DOI](https://zenodo.org/badge/16774/datajoint/datajoint-python.svg)](https://zenodo.org/badge/latestdoi/16774/datajoint/datajoint-python)
[![Coverage Status](https://coveralls.io/repos/datajoint/datajoint-python/badge.svg?branch=master&service=github)](https://coveralls.io/github/datajoint/datajoint-python?branch=master)
[![PyPI version](https://badge.fury.io/py/datajoint.svg)](http://badge.fury.io/py/datajoint)
[![Slack](https://img.shields.io/badge/slack-chat-green.svg)](https://datajoint.slack.com/)

# Welcome to DataJoint for Python!

DataJoint for Python is a framework for scientific workflow management based on 
relational principles. DataJoint is built on the foundation of the relational data 
model and prescribes a consistent method for organizing, populating, computing, and 
querying data.

DataJoint was initially developed in 2009 by Dimitri Yatsenko in Andreas Tolias' Lab at 
Baylor College of Medicine for the distributed processing and management of large 
volumes of data streaming from regular experiments. Starting in 2011, DataJoint has 
been available as an open-source project adopted by other labs and improved through 
contributions from several developers.
Presently, the primary developer of DataJoint open-source software is the company 
DataJoint (https://datajoint.com).

## Data Pipeline Example

![pipeline](https://raw.githubusercontent.com/datajoint/datajoint-python/master/images/pipeline.png)

[Yatsenko et al., bioRxiv 2021](https://doi.org/10.1101/2021.03.30.437358)

## Getting Started

- Install with Conda

     ```bash
     conda install -c conda-forge datajoint
     ```

- Install with pip

     ```bash
     pip install datajoint
     ```

- [Documentation & Tutorials](https://datajoint.com/docs/core/datajoint-python/)

- [Interactive Tutorials](https://github.com/datajoint/datajoint-tutorials) on GitHub Codespaces

- [DataJoint Elements](https://datajoint.com/docs/elements/) - Catalog of example pipelines for neuroscience experiments

- Contribute
  - [Development Environment](https://datajoint.com/docs/core/datajoint-python/latest/develop/)

  - [Guidelines](https://datajoint.com/docs/about/contribute/)
